package dev.fyloz.backup.exceptions

sealed class HttpException(override val message: String) : RuntimeException(message)

/** Exception thrown to indicate that a resource was not found. Will return HTTP 404 to the user. */
class NotFoundException(message: String) : HttpException(message)

/** Exception thrown to indicate that a request is not valid. Will return HTTP 400 to the user. */
class ValidationException(message: String) : HttpException(message)