package dev.fyloz.backup.repositories

import dev.fyloz.backup.entities.Machine

interface MachineRepository {
    /** Searches for the machine with the given [id] and returns it, if found. */
    fun findById(id: String): Machine?

    /** Saves the given [Machine]. */
    fun save(machine: Machine)
}

class MemoryMachineRepository : MachineRepository {
    private val machines = mutableMapOf<String, Machine>()

    override fun findById(id: String) = machines[id]

    override fun save(machine: Machine) {
        machines[machine.id.toString()] = machine
    }
}